diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/via/epia-m/Options.lb LinuxBIOSv2/src/mainboard/via/epia-m/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/via/epia-m/Options.lb	2006-10-24 22:19:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/via/epia-m/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -5,7 +5,7 @@
 uses HAVE_HARD_RESET
 uses HAVE_OPTION_TABLE
 uses USE_OPTION_TABLE
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
 uses MAINBOARD_VENDOR
@@ -20,7 +20,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
 uses PAYLOAD_SIZE
 uses _ROMBASE
@@ -115,7 +115,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/stream/Config.lb LinuxBIOSv2/src/stream/Config.lb
--- LinuxBIOSv2.orig1/src/stream/Config.lb	2006-10-24 22:16:46.000000000 +0000
+++ LinuxBIOSv2/src/stream/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -1,23 +1,23 @@
-uses CONFIG_ROM_STREAM
-uses CONFIG_IDE_STREAM
-uses CONFIG_FS_STREAM
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_IDE_PAYLOAD
+uses CONFIG_FS_PAYLOAD
 uses CONFIG_IDE
-uses CONFIG_SERIAL_STREAM
+uses CONFIG_SERIAL_PAYLOAD
 
-if CONFIG_ROM_STREAM
+if CONFIG_ROM_PAYLOAD
   object rom_stream.o
 end
 
-if CONFIG_IDE_STREAM
+if CONFIG_IDE_PAYLOAD
   default CONFIG_IDE=1
   object ide_stream.o
 end
 
-if CONFIG_FS_STREAM
+if CONFIG_FS_PAYLOAD
   object fs_stream.o
   dir fs
 end
 
-if CONFIG_SERIAL_STREAM
+if CONFIG_SERIAL_PAYLOAD
   object serial_stream.o
 end
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/stream/rom_stream.c LinuxBIOSv2/src/stream/rom_stream.c
--- LinuxBIOSv2.orig1/src/stream/rom_stream.c	2006-10-24 22:19:52.000000000 +0000
+++ LinuxBIOSv2/src/stream/rom_stream.c	2006-10-24 22:36:11.000000000 +0000
@@ -30,21 +30,21 @@
 #include "../lib/lzma.c"
 #endif
 
-#ifndef CONFIG_ROM_STREAM_START
-#define CONFIG_ROM_STREAM_START 0xffff0000UL
+#ifndef CONFIG_ROM_PAYLOAD_START
+#define CONFIG_ROM_PAYLOAD_START 0xffff0000UL
 #endif
 
 /* well, this is a mess, and it will get fixed, but not right away.
  * until we stop using 'ld' for building the rom image, that is.
- * problem is, that on the sc520, ROM_STREAM_START has to be at 0x2000000.
- * but if you set CONFIG_ROM_STREAM_START to that, then ld will try to
+ * problem is, that on the sc520, ROM_PAYLOAD_START has to be at 0x2000000.
+ * but if you set CONFIG_ROM_PAYLOAD_START to that, then ld will try to
  * build a giant image: 0x0-0x2000000, i.e. almost 4 GB.
  * so make this non-static, non-const for now.
  */
 
 /*XXXXXXXXXXXXXX */
-/*static const */unsigned char *rom_start = (unsigned char *)CONFIG_ROM_STREAM_START;
-/*static const */unsigned char *rom_end   = (unsigned char *)(CONFIG_ROM_STREAM_START + PAYLOAD_SIZE - 1);
+/*static const */unsigned char *rom_start = (unsigned char *)CONFIG_ROM_PAYLOAD_START;
+/*static const */unsigned char *rom_end   = (unsigned char *)(CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE - 1);
 /*XXXXXXXXXXXXXX */
 
 static const unsigned char *rom;
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/targets/arima/hdama/Config.kernelimage.lb LinuxBIOSv2/targets/arima/hdama/Config.kernelimage.lb
--- LinuxBIOSv2.orig1/targets/arima/hdama/Config.kernelimage.lb	2006-10-24 22:17:02.000000000 +0000
+++ LinuxBIOSv2/targets/arima/hdama/Config.kernelimage.lb	2006-10-24 22:36:11.000000000 +0000
@@ -9,8 +9,8 @@
 uses ARCH
 uses CONFIG_COMPRESS
 uses CONFIG_IOAPIC
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses CONFIG_UDELAY_TSC
 uses CPU_FIXUP
 uses FALLBACK_SIZE
@@ -68,7 +68,7 @@
 
 
 option HAVE_OPTION_TABLE=1
-option CONFIG_ROM_STREAM=1
+option CONFIG_ROM_PAYLOAD=1
 option HAVE_FALLBACK_BOOT=1
 
 ###
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/targets/embeddedplanet/ep405pc/Config.lb LinuxBIOSv2/targets/embeddedplanet/ep405pc/Config.lb
--- LinuxBIOSv2.orig1/targets/embeddedplanet/ep405pc/Config.lb	2006-10-24 22:17:02.000000000 +0000
+++ LinuxBIOSv2/targets/embeddedplanet/ep405pc/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -32,7 +32,7 @@
 
         ## Boot linux from IDE
         option CONFIG_IDE=1
-        option CONFIG_FS_STREAM=1
+        option CONFIG_FS_PAYLOAD=1
         option CONFIG_FS_EXT2=1
         option CONFIG_FS_ISO9660=1
         option CONFIG_FS_FAT=1
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/targets/iwill/dk8s2/Config.lb LinuxBIOSv2/targets/iwill/dk8s2/Config.lb
--- LinuxBIOSv2.orig1/targets/iwill/dk8s2/Config.lb	2006-10-24 22:17:02.000000000 +0000
+++ LinuxBIOSv2/targets/iwill/dk8s2/Config.lb	2006-10-24 22:38:38.000000000 +0000
@@ -119,7 +119,7 @@
 ### Compute the start location and size size of
 ### The linuxBIOS bootloader.
 ###
-option CONFIG_ROM_STREAM     = 1
+option CONFIG_ROM_PAYLOAD     = 1
 
 #
 # 
@@ -134,8 +134,8 @@
 	option ROM_SECTION_OFFSET= 0
 
 	option PAYLOAD_SIZE            = (ROM_SECTION_SIZE - ROM_IMAGE_SIZE)
-	option CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
-	option _ROMBASE      = (CONFIG_ROM_STREAM_START + PAYLOAD_SIZE)
+	option CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+	option _ROMBASE      = (CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE)
 
 #	option XIP_ROM_SIZE = FALLBACK_SIZE
         option XIP_ROM_SIZE = 65536
@@ -153,8 +153,8 @@
 	option ROM_SECTION_OFFSET= (ROM_SIZE - FALLBACK_SIZE)
 
 	option PAYLOAD_SIZE            = (ROM_SECTION_SIZE - ROM_IMAGE_SIZE)
-	option CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
-	option _ROMBASE      = (CONFIG_ROM_STREAM_START + PAYLOAD_SIZE)
+	option CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+	option _ROMBASE      = (CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE)
 
 #	option XIP_ROM_SIZE = FALLBACK_SIZE
 	option XIP_ROM_SIZE = 65536
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/targets/motorola/sandpoint/Config.lb.ide_stream LinuxBIOSv2/targets/motorola/sandpoint/Config.lb.ide_stream
--- LinuxBIOSv2.orig1/targets/motorola/sandpoint/Config.lb.ide_stream	2006-10-24 22:17:02.000000000 +0000
+++ LinuxBIOSv2/targets/motorola/sandpoint/Config.lb.ide_stream	2006-10-24 22:36:11.000000000 +0000
@@ -16,7 +16,7 @@
 uses NO_POST
 uses CONFIG_CONSOLE_SERIAL8250 
 uses TTYS0_BASE 
-uses CONFIG_IDE_STREAM 
+uses CONFIG_IDE_PAYLOAD 
 uses IDE_BOOT_DRIVE
 uses IDE_SWAB IDE_OFFSET 
 uses ROM_SIZE
@@ -51,7 +51,7 @@
 option TTYS0_BASE=0x3f8
 
 ## Boot linux from IDE
-option CONFIG_IDE_STREAM=1
+option CONFIG_IDE_PAYLOAD=1
 option IDE_BOOT_DRIVE=0
 option IDE_SWAB=1
 option IDE_OFFSET=0
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/targets/newisys/khepri/Config.lb LinuxBIOSv2/targets/newisys/khepri/Config.lb
--- LinuxBIOSv2.orig1/targets/newisys/khepri/Config.lb	2006-10-24 22:17:03.000000000 +0000
+++ LinuxBIOSv2/targets/newisys/khepri/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -20,7 +20,7 @@
 option ROM_SIZE=512*1024
 
 option HAVE_OPTION_TABLE=1
-option CONFIG_ROM_STREAM=1
+option CONFIG_ROM_PAYLOAD=1
 option HAVE_FALLBACK_BOOT=1
 
 option FALLBACK_SIZE=131072
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/targets/totalimpact/briq/Config.lb LinuxBIOSv2/targets/totalimpact/briq/Config.lb
--- LinuxBIOSv2.orig1/targets/totalimpact/briq/Config.lb	2006-10-24 22:17:02.000000000 +0000
+++ LinuxBIOSv2/targets/totalimpact/briq/Config.lb	2006-10-24 22:36:12.000000000 +0000
@@ -19,7 +19,7 @@
 option CONFIG_CONSOLE_SERIAL8250=1
 
 ## Boot linux from IDE
-option CONFIG_IDE_STREAM=1
+option CONFIG_IDE_PAYLOAD=1
 option IDE_BOOT_DRIVE=0
 option IDE_SWAB=1
 option IDE_OFFSET=0
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/targets/via/epia-m/Config.512kflash.lb LinuxBIOSv2/targets/via/epia-m/Config.512kflash.lb
--- LinuxBIOSv2.orig1/targets/via/epia-m/Config.512kflash.lb	2006-10-24 22:17:02.000000000 +0000
+++ LinuxBIOSv2/targets/via/epia-m/Config.512kflash.lb	2006-10-24 22:36:12.000000000 +0000
@@ -13,7 +13,7 @@
 
 
 option HAVE_OPTION_TABLE=1
-option CONFIG_ROM_STREAM=1
+option CONFIG_ROM_PAYLOAD=1
 option HAVE_FALLBACK_BOOT=1
 
 ###
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/targets/via/epia-m/Config-abuild.lb LinuxBIOSv2/targets/via/epia-m/Config-abuild.lb
--- LinuxBIOSv2.orig1/targets/via/epia-m/Config-abuild.lb	2006-10-24 22:17:02.000000000 +0000
+++ LinuxBIOSv2/targets/via/epia-m/Config-abuild.lb	2006-10-24 22:36:12.000000000 +0000
@@ -10,7 +10,7 @@
 option ROM_SIZE=256*1024
 
 option HAVE_OPTION_TABLE=1
-option CONFIG_ROM_STREAM=1
+option CONFIG_ROM_PAYLOAD=1
 option HAVE_FALLBACK_BOOT=1
 
 ###
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/targets/via/epia-m/Config.etherboot.lb LinuxBIOSv2/targets/via/epia-m/Config.etherboot.lb
--- LinuxBIOSv2.orig1/targets/via/epia-m/Config.etherboot.lb	2006-10-24 22:17:02.000000000 +0000
+++ LinuxBIOSv2/targets/via/epia-m/Config.etherboot.lb	2006-10-24 22:36:12.000000000 +0000
@@ -12,7 +12,7 @@
 option ROM_SIZE=256*1024
 
 option HAVE_OPTION_TABLE=1
-option CONFIG_ROM_STREAM=1
+option CONFIG_ROM_PAYLOAD=1
 option HAVE_FALLBACK_BOOT=1
 
 ###
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/targets/via/epia-m/Config.filo.lb LinuxBIOSv2/targets/via/epia-m/Config.filo.lb
--- LinuxBIOSv2.orig1/targets/via/epia-m/Config.filo.lb	2006-10-24 22:17:02.000000000 +0000
+++ LinuxBIOSv2/targets/via/epia-m/Config.filo.lb	2006-10-24 22:36:12.000000000 +0000
@@ -12,7 +12,7 @@
 option ROM_SIZE=256*1024
 
 option HAVE_OPTION_TABLE=1
-option CONFIG_ROM_STREAM=1
+option CONFIG_ROM_PAYLOAD=1
 option HAVE_FALLBACK_BOOT=1
 
 ###
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/targets/via/epia-m/Config.lb LinuxBIOSv2/targets/via/epia-m/Config.lb
--- LinuxBIOSv2.orig1/targets/via/epia-m/Config.lb	2006-10-24 22:19:52.000000000 +0000
+++ LinuxBIOSv2/targets/via/epia-m/Config.lb	2006-10-24 22:36:12.000000000 +0000
@@ -11,7 +11,7 @@
 
 
 option HAVE_OPTION_TABLE=1
-option CONFIG_ROM_STREAM=1
+option CONFIG_ROM_PAYLOAD=1
 option HAVE_FALLBACK_BOOT=1
 #option CONFIG_COMPRESSED_PAYLOAD_NRV2B=1
 option CONFIG_COMPRESSED_PAYLOAD_NRV2B=0
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/targets/via/epia-m/Config.vga.filo LinuxBIOSv2/targets/via/epia-m/Config.vga.filo
--- LinuxBIOSv2.orig1/targets/via/epia-m/Config.vga.filo	2006-10-24 22:17:02.000000000 +0000
+++ LinuxBIOSv2/targets/via/epia-m/Config.vga.filo	2006-10-24 22:36:12.000000000 +0000
@@ -11,7 +11,7 @@
 
 option ROM_SIZE=256*1024
 option HAVE_OPTION_TABLE=1
-option CONFIG_ROM_STREAM=1
+option CONFIG_ROM_PAYLOAD=1
 option HAVE_FALLBACK_BOOT=1
 
 ###
